<?php
error_reporting(E_ALL);
session_start();
require_once('../inc/tumblroauth.php');
require_once('../inc/config.php');
require_once('../inc/process_class.php');
require_once('../inc/ChromePhp.php');
require_once('../inc/DB.php');

if (empty($_SESSION['access_token']) || empty($_SESSION['access_token']['oauth_token']) || empty($_SESSION['access_token']['oauth_token_secret'])) {
  header('Location: ../inc/redirect.php');
}

$access_token   = $_SESSION['access_token'];

$sourceblog     = str_replace(" ", "", $_POST['sourceblog']);

$fetch_interval = intval($_POST['fetchinterval']);
$post_interval  = intval($_POST['postinterval']);
$destination    = $_POST['destblogs'];
$trackerType    = "track_blog";
$addingTag      = isset($_POST['addingTag']) ? $_POST['addingTag'] : '';

$time = strval(time());

if(isset($_POST['tag'])){
  $tag = $_POST['tag'];
}else {
  $tag = "";    
}
if(isset($_POST['type'])){
  $type = $_POST['type'];
}else {
  $type = "";    
}

if ( isset($_SESSION['userblog']) && $_SESSION['userblog'] !== '')
  $username     = $_SESSION['userblog'];
else
  $username     = "";

$db     = DB::getInstance();
$mysqli = $db->getConnection();

if (mysqli_connect_errno()) {
    printf("Connect failed: %s\n", mysqli_connect_error());
    exit();
}

$errors = array(); 
$data   = array(); 

if(isset($_POST['notecount'])) {
    $note_count = intval($_POST['notecount']);
    $stmt       = $mysqli->prepare("INSERT INTO trackers (oauth_token, oauth_token_secret, username, source, destination, fetch_interval, post_interval, 
        tag, type, note_count, last_access, tracker_type, adding_tag) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
    $stmt -> bind_param('sssssddssdsss', $access_token['oauth_token'], $access_token['oauth_token_secret'], $username, $sourceblog, $destination, 
        $fetch_interval, $post_interval, $tag, $type, $note_count, $time, $trackerType, $addingTag);
} else {
    $stmt       = $mysqli->prepare("INSERT INTO trackers (oauth_token, oauth_token_secret, username, source, destination, fetch_interval, post_interval, 
        tag, type, last_access, tracker_type, adding_tag) VALUES (?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?, ?)");
    $stmt -> bind_param('sssssddsssss', $access_token['oauth_token'], $access_token['oauth_token_secret'], $username, $sourceblog, $destination, 
        $fetch_interval, $post_interval, $tag, $type, $time, $trackerType, $addingTag);
}

$stmt -> execute();
$stmt -> close();

$output = shell_exec('crontab -l');

$output = $output.'*/'.$_POST['fetchinterval'].' * * * * /opt/cpanel/ea-php56/root/usr/bin/php ' .BASE_FOLDER_NAME. '/scripts/blogprocess.php '.$mysqli->insert_id.' >> ' .BASE_FOLDER_NAME. '/bloglog.txt 2> /dev/null'.PHP_EOL;
file_put_contents('/home/tagblrco/crontab.txt',$output);
echo exec('crontab /home/tagblrco/crontab.txt');

$qname = $_POST['sourceblog']."tracker".$mysqli->insert_id;
$qname = str_replace(" ", "", $qname);
$qname = str_replace("-", "", $qname);

$output = shell_exec('crontab -l');
$output = $output.'*/'.$_POST['postinterval'].' * * * * /opt/cpanel/ea-php56/root/usr/bin/php ' .BASE_FOLDER_NAME. '/scripts/trackerprocess.php '.$qname.' >> ' .BASE_FOLDER_NAME. '/trackerprocesslog.txt 2> /dev/null'.PHP_EOL;
file_put_contents('/home/tagblrco/crontab.txt',$output);
echo exec('crontab /home/tagblrco/crontab.txt');

mysqli_close($mysqli);

if (!empty($errors)) {
    $data['success'] = false;
    $data['errors']  = $errors;
} else {
    $data['success'] = true;
    $data['message'] = 'Success!';
}

echo json_encode($data);
exit();
?>