<?php 
require_once('header.php');
?>
<!-- page content -->
<div class="right_col" role="main">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>User Profile</h2>
                            <ul class="nav navbar-right panel_toolbox">
                                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a></li>
                                <li><a class="close-link"><i class="fa fa-close"></i></a></li>
                            </ul>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content">
                            <div class="col-md-3 col-sm-3 col-xs-12 profile_left">
                                <div class="profile_img">
                                    <div id="crop-avatar">
                                    <!-- Current avatar -->
                                    <img class="img-responsive avatar-view" src="<?php echo $avatar; ?>" alt="Avatar" title="Change the avatar">
                                    </div>
                                </div>
                                <?php 
                                    if ($userblog === "") {
                                        echo "<h3 class='profile_name'>Unknown</h3>";
                                    } else {
                                        echo "<h3 class='profile_name'>". $userblog ."</h3>";
                                    }
                                ?>
                                <a href="../inc/redirect.php" class="btn btn-primary profile_update">update profile</a>
                            </div>
                            <div class="col-md-9 col-sm-9 col-xs-12 profile_right">
                                <div class="row">
                                    <div class="animated flipInY col-lg-3 col-md-3 col-sm-6 col-xs-12">
                                        <div class="tile-stats">
                                            <div class="icon"><i class="fa fa-flag"></i></div>
                                            <?php 
                                                echo "<div class='count'>". count($blogs) ."</div>";
                                            ?>
                                            <br>
                                            <h3>Blogs</h3>
                                        </div>
                                    </div>
                                    <div class="animated flipInY col-lg-3 col-md-3 col-sm-6 col-xs-12">
                                        <div class="tile-stats">
                                            <div class="icon"><i class="fa fa-thumbs-up"></i></div>
                                            <?php 
                                                echo "<div class='count'>". $followings ."</div>";
                                            ?>
                                            <br>
                                            <h3>Following</h3>
                                        </div>
                                    </div>
                                    <div class="animated flipInY col-lg-3 col-md-3 col-sm-6 col-xs-12">
                                        <div class="tile-stats">
                                            <div class="icon"><i class="fa fa-heart"></i></div>
                                            <?php 
                                                if ($followers === 0) {
                                                    echo "<div class='count'>0</div>";
                                                } else {
                                                    echo "<div class='count'>". $followers ."</div>";
                                                }
                                            ?>
                                            <br>
                                            <h3>Followers</h3>
                                        </div>
                                    </div>
                                    <div class="animated flipInY col-lg-3 col-md-3 col-sm-6 col-xs-12">
                                        <div class="tile-stats">
                                            <div class="icon"><i class="fa fa-trophy"></i></div>
                                            <?php 
                                                if ($likes === 0) {
                                                    echo "<div class='count'>0</div>";
                                                } else {
                                                    echo "<div class='count'>". $likes ."</div>";
                                                }
                                            ?>
                                            <br>
                                            <h3>Likes</h3>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php 
require_once('footer.php');
?>