<!DOCTYPE html>
<html lang="en">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <!-- Meta, title, CSS, favicons, etc. -->
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>dashbort | </title>

    <!-- Bootstrap -->
    <link href="vendors/bootstrap/dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- Font Awesome -->
    <link href="vendors/font-awesome/css/font-awesome.min.css" rel="stylesheet">
    <!-- Animate.css -->
    <link href="vendors/animate.css/animate.min.css" rel="stylesheet">
    <!-- NProgress -->
    <link href="vendors/nprogress/nprogress.css" rel="stylesheet">
    <!-- iCheck -->
    <link href="vendors/iCheck/skins/flat/green.css" rel="stylesheet">
    <!-- bootstrap-datetimepicker -->
    <link href="vendors/bootstrap-datetimepicker/build/css/bootstrap-datetimepicker.min.css" rel="stylesheet">
    <!-- Custom Theme Style -->
    <link href="build/css/custom.min.css" rel="stylesheet">
    <link href="css/form.css" rel="stylesheet">
</head>
<body class="login">
    <div>
        <a class="hiddenanchor" id="signup"></a>
        <a class="hiddenanchor" id="signin"></a>
        <div class="login_wrapper">
            <div class="animate form login_form">
                <section class="login_content">
                    <form id="login" accept-charset="utf-8">
                        <h1>Login Form</h1>
                        <div class="error" id="identifier">
                            <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>&nbsp;<span>Invalid username</span>
                        </div>
                        <div>
                            <input type="text" class="form-control" placeholder="Username or Email" required="" name="identifier" />
                        </div>
                        <div class="error" id="password">
                            <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>&nbsp;<span>Invalid password</span>
                        </div>
                        <div>
                            <input type="password" class="form-control" placeholder="Password" required="" name="password" />
                        </div>
                        <div>
                            <input type="submit" class="btn btn-default submit" value="Log in"></input>
                        </div>
                        <div class="clearfix"></div>
                        <div class="separator">
                            <p class="change_link">New to site?
                                <a href="#signup" class="to_register"> Create Account </a>
                            </p>
                            <div class="clearfix"></div><br />

                            <div>
                                <h1><i class="fa fa-paw"></i> Bimber!</h1>
                                <p>©2017 All Rights Reserved. Privacy and Terms</p>
                            </div>
                        </div>
                    </form>
                </section>
            </div>

            <div id="register" class="animate form registration_form">
                <section class="login_content">
                    <!-- <form id="register" action="inc/signup.php" method="post" onsubmit="return registerFormValidation(this);" accept-charset="utf-8" name="register"> -->
                    <form id="register" accept-charset="utf-8">
                        <h1>Create Account</h1>
                        <div class="error" id="rusername">
                            <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>&nbsp;<span>Invalid username</span>
                        </div>
                        <div>
                            <input type="text" class="form-control" placeholder="Username: Min 3 letters" required="" name="username" />
                        </div>
                        <div class="error" id="remail">
                            <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>&nbsp;<span>Invalid email</span>
                        </div>
                        <div>
                            <input type="email" class="form-control" placeholder="Email" required="" name="email" />
                        </div>
                        <div class="error" id="rpassword">
                            <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>&nbsp;<span>Invalid password</span>
                        </div>
                        <div>
                            <input type="password" class="form-control" placeholder="Password: Min 8 letters, 1 uppercase, 1 number" required="" name="password" />
                        </div>
                        <div class="error" id="cpassword">
                            <i class="fa fa-exclamation-triangle" aria-hidden="true"></i>&nbsp;<span>Please type your correct password</span>
                        </div>
                        <div>
                            <input type="password" class="form-control" placeholder="Confirm Password" required="" name="rpassword" />
                        </div>
                        <div>
                            <input type="submit" class="btn btn-default submit" value="Submit" />
                        </div>
                        <div class="clearfix"></div>

                        <div class="separator">
                            <p class="change_link">Already a member ?
                                <a href="#signin" class="to_register"> Log in </a>
                            </p>
                            <div class="clearfix"></div><br />
                            <div>
                                <h1><i class="fa fa-paw"></i> Bimber!</h1>
                                <p>©2017 All Rights Reserved. Privacy and Terms</p>
                            </div>
                        </div>
                    </form>
                </section>
            </div>
        </div>
    </div>
    <!-- Custom JS -->
    <script src="js/jquery.min.js"></script>
    <script src="js/form.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <!-- bootstrap-daterangepicker -->
    <script src="vendors/moment/min/moment.min.js"></script>
    <script src="vendors/bootstrap-datetimepicker/build/js/bootstrap-datetimepicker.min.js"></script>
</body>
</html>