<?php
set_time_limit(0);
session_start();
require_once('../inc/tumblroauth.php');
require_once('../inc/config.php');
require_once('../inc/process_class.php');
require_once('../inc/ChromePhp.php');
require_once('../inc/DB.php');

$db     = DB::getInstance();
$mysqli = $db->getConnection();

if (mysqli_connect_errno()) {
    printf("Connect failed: %s\n", mysqli_connect_error());
    exit();
}

if(isset($_POST['dashboard_update']) && $_POST['dashboard_update'] === "true") {
  $uname         = $_POST['uname'];
  $limit         = $_POST['limit'];
	$to            = $_POST['to'];
  $exclude       = strtoupper($_POST['exclude']);
  $post_interval = intval($_POST['post_interval']);
  $post_type     = $_POST['post_type'];
  $notecount     = intval($_POST['notecount']);

  if ($result = $mysqli->query("UPDATE dashboard SET username = '$uname', postto = '$to', qlimit='$limit', postinterval = '$post_interval' , notecount = '$notecount', posttype = '$post_type' ,exclude = '$exclude'  WHERE username = '$uname'")) { 
    echo "Dashboard updated successfully";
  } else {
    echo "Not updated";
  }
}

if(isset($_POST['start']) && $_POST['start'] === "true") {
  $username = $_SESSION['userblog'];

  if (!isset($username) || $username === "") {
    echo "This account is not connected to Tumblr Account"; exit;
  } else {
    $state = "running";
    $stmt  = $mysqli->prepare("INSERT INTO dashboardstate (username, state) VALUES (?, ?)");
    $stmt->bind_param('ss', $username, $state);
    $stmt->execute();
    $stmt->close();
  
    $cmd     ='/opt/cpanel/ea-php56/root/usr/bin/php dashprocess.php ' . $username;
    $process = new Process($cmd);
    $process->start();
    ChromePhp::log("dashboard process pid => " . $process->getPid());
    echo "Dashboard process is running"; exit;
  }
}

if(isset($_POST['stop']) && $_POST['stop'] === "true") {
  $username = $_SESSION['userblog'];
  if (!isset($username) || $username === "") {
    echo "This account is not connected to Tumblr Account"; exit;
  } else {
    $result = $mysqli->query("DELETE FROM `dashboardstate` WHERE username = '$username' ");
    $status = "dashboard";
    if ($result = $mysqli->query("SELECT queuename  FROM `queues` WHERE status = '$status' AND username = '$username' ")) { 
        while($obj = $result->fetch_object()) {
          $queuename =  $obj->queuename;
          $mysqli->query("DELETE FROM `queues` WHERE queuename = '$queuename'");             
          $mysqli->query('DROP TABLE IF EXISTS '.$queuename);
        } 
        $result->close();
      echo "Dashboard process is stopped";
    } else {
      echo "Failed!";
    }
    exit;
  }	
}

mysqli_close($mysqli);
?>