<?php
set_time_limit(0);

$base_dir = "test_script";
require_once('/home/tagblrco/public_html/Rc01/inc/tumblroauth.php');
require_once('/home/tagblrco/public_html/Rc01/inc/config.php');

$trackerID = "0";

if ($argc >= 2) { //so $argc=2 means 1 argument
    $trackerID = $argv[1];
}

$mysqli = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);

if (mysqli_connect_errno()) {
    printf("Connect failed: %s\n", mysqli_connect_error());
    exit();
}

if ($result = $mysqli->query("SELECT * FROM trackers WHERE id = '$trackerID'")) {
    while($obj = $result->fetch_object()) {
        $auth_token = $obj->oauth_token;
        $auth_secret= $obj->oauth_token_secret;
        $source     = $obj->source;
        $dest       = $obj->destination;
        $interval   = intval($obj->post_interval);
        $tag        = $obj->tag;
        $result     = array();
        $size       = 0;

        for($i = 0; $i < 5; $i++) {
            if ($tag)
                $requestlink = 'http://api.tumblr.com/v2/blog/' . $source . '.tumblr.com/posts?tag=' . $tag . '&offset=' . $size . '&notes_info=true&reblog_info=true&api_key=' . CONSUMER_KEY;
            else    
                $requestlink = 'http://api.tumblr.com/v2/blog/' . $source . '.tumblr.com/posts?offset=' . $size . '&notes_info=true&reblog_info=true&api_key=' . CONSUMER_KEY;
            
            echo "\n---------------------------Request Link------------------------------\n";
            print_r($requestlink);
            echo "\n---------------------------Request Link------------------------------\n";

            $ch = curl_init($requestlink);
            curl_setopt($ch, CURLOPT_HEADER, 0);
            curl_setopt($ch, CURLOPT_POST, 0);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            $collection = json_decode(curl_exec($ch), true);
            curl_close($ch);
            
            if ( isset($collection['meta']) && ($collection['meta']['msg'] == 'OK') ) {
                if ( $collection['response']['total_posts'] == 0) {
                    echo "\n---------------------------Error------------------------------\n";
                    print_r($collection);
                    echo "\n---------------------------Error------------------------------\n";
                    break;
                }
          
                echo "\n--------------------------". sizeof($collection['response']['posts']) . "------------------COUNTS of post----------------------\n";
                
                $size += sizeof($collection['response']['posts']);
          
                foreach ( $collection['response']['posts'] as $single ) {
                    $connection = new TumblrOAuth(CONSUMER_KEY, CONSUMER_SECRET, $auth_token, $auth_secret);
                    if ($tag) {
                        $status = $connection->post('blog/' . $source . '.tumblr.com/post/delete', array('id' => $single['id']));
                        echo "\n---------------------------Delete Operation------------------------------\n";
                        print_r($status);
                        echo "\n---------------------------Delete Operation------------------------------\n";
                    }
                    

                    if (isset($single['reblogged_from_name']) && $single['reblogged_from_name'] == $dest) {
                        $status1 = $connection->post('blog/' . $source . '.tumblr.com/post/delete', array('id' => $single['id']));
                        echo "\n---------------------------Delete OperationBy Blog------------------------------\n";
                        print_r($status1);
                        echo "\n---------------------------Delete OperationBy Blog------------------------------\n";    
                    }
                        
                }
            } else {
                echo "\n---------------------------Error------------------------------\n";
                print_r($collection['meta']['msg']);
                echo "\n---------------------------Error------------------------------\n";
                break;
            }
        }
    }

    mysqli_free_result($result);
}

mysqli_close($mysqli);

?>