<?php
    set_time_limit(0);
    require_once('../inc/tumblroauth.php');
    require_once('../inc/config.php');
    
    $username = "r";

    if ($argc >= 2) { //so $argc=2 means 1 argument
       $username = $argv[1];
    }

    file_put_contents(BASE_FOLDER_NAME . "/post_process_log.txt", $username."process running!\n");
    
    $mysqli = new mysqli(DB_HOST, DB_USER, DB_PASS, DB_NAME);
    if ($result = $mysqli->query("SELECT * FROM user_info WHERE username = '$username' ")) {
        while($obj = $result->fetch_object()) {
            $oauth_token_secret = $obj->oauth_token_secret;
            $oauth_token        = $obj->oauth_token;
            $blogNames          = $obj->blognames;
            $state              = $obj->postState;
        }
    }

    mysqli_close($mysqli);

    if (!isset($oauth_token_secret) || !isset($oauth_token) || $oauth_token_secret === "" || $oauth_token === "") {
        exit(1);
    }

    $blogs = array();

    $blogs      = explode(",", $blogNames);
    array_pop($blogs);

    $connection    = new TumblrOAuth(CONSUMER_KEY, CONSUMER_SECRET, $oauth_token, $oauth_token_secret);

    foreach ($blogs as $blog) {
        $count = 0;
        $offset = 0;

        while(true) {
            $offset += $count;
    
            $requestlink = 'http://api.tumblr.com/v2/blog/' . $blog .'.tumblr.com/posts?offset='.$offset.'&notes_info=true&reblog_info=true&api_key=' . CONSUMER_KEY;

            $ch = curl_init($requestlink);
            curl_setopt($ch, CURLOPT_HEADER, 0);
            curl_setopt($ch, CURLOPT_POST, 0);
            curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
            $collection = json_decode(curl_exec($ch), true);
            if ( isset($collection['meta']) && ($collection['meta']['msg'] == 'OK') ) {
                $count = count($collection["response"]["posts"]);
                
                if ($count === 0) {
                    break;
                } else {
                    foreach($collection["response"]["posts"] as $response) {
                        if (count($response["tags"]) === 0) {
                            $post_id = $response["id"];
            
                            $collect = $connection->post('blog/'.$blog.'.tumblr.com/post/edit', 
                                array('id' => $post_id, 'state' => $state));
                            
                            if ( isset($collection['meta']) && ($collection['meta']['msg'] == 'OK') ) {
                                echo "-----------------------success---------------------\n";
                            } else {
                                echo "-----------------------failed----------------------\n";
                            }
                        }
                    }
                }
            }
    
            // sleep(2000);
        }
    }
    exit;
?>