<?php 
require_once('header.php');
require_once('../inc/tumblroauth.php');
require_once('../inc/config.php');
require_once('../inc/DB.php');
?>

<div class="right_col" role="main">
    <div class="clearfix"></div>

    <div class="row">
        <div class="col-md-12 col-sm-12 col-xs-12">
            <div class="x_panel">
                <div class="x_title">
                    <h2>CSV Import</h2>
                    <ul class="nav navbar-right panel_toolbox">
                        <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a></li>
                        <li><a class="close-link"><i class="fa fa-close"></i></a></li>
                    </ul>
                    <div class="clearfix"></div>
                </div>
                <div class="x_content">
                    <form data-parsley-validate="" id="csv" class="form-horizontal form-label-left" novalidate="">
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12"><span>*</span></label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <p>Please select your blog to queue posts</p>
                                <select id="blog" class="form-control" name="blog">
                                    <option value="">Choose blogs to queue ...</option>
                                        <?php
                                            foreach ($blogs as $blog) {
                                                echo "<option value='" . $blog . "'>".$blog."</option>";
                                            }             
                                        ?>
                                </select>
                            </div>
                        </div>
                        <div class="form-group">
                            <label for="name-queue" class="control-label col-md-3 col-sm-3 col-xs-12" ><span class="required">*</span></label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input type="text" id="name-queue" name="queuename" required="required" class="form-control col-md-7 col-xs-12" placeholder="Name of the Queue">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12" for="queue-interval"><span class="required">*</span></label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input type="number" id="queue-interval" name="qinterval" required="required" class="form-control col-md-7 col-xs-12" placeholder="Queue Interval">
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="control-label col-md-3 col-sm-3 col-xs-12" for="queue-interval"></label>
                            <div class="col-md-6 col-sm-6 col-xs-12">
                                <input type="file" id="file" name="file" multiple />
                            </div>
                        </div>
                        <div class="form-group">
                            <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                                <button type="button" class="btn btn-success" id="csv_import" style="float:left; margin-top:30px;">Submit</button>
                            </div>
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>


<?php 
require_once('footer.php');
?>