<?php 
require_once('header.php');
?>
<!-- page content -->
<div class="right_col" role="main">
    <div class="x_panel">
        <div class="x_title">
            <h2>Delete Posts</h2>
            <ul class="nav navbar-right panel_toolbox">
                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a></li>
                <li><a class="close-link"><i class="fa fa-close"></i></a></li>
            </ul>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <br>
            <form id="delete_blog" data-parsley-validate="" class="form-horizontal form-label-left" novalidate="">
                <div class="form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12"><span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <p>Please select your blog to queue posts</p>
                        <select id="blog" class="form-control" name="blog">
                            <option>Choose blogs to queue ...</option>
                                <?php
                                    foreach ($blogs as $blog) {
                                        echo "<option value='" . $blog . "'>".$blog."</option>";
                                    }
                                ?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label for="input_blog" class="control-label col-md-3 col-sm-3 col-xs-12" ><span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <p>Please input at least one of blag name and tag</p>
                        <input type="text" id="input_blog" name="blog_to_delete" required="required" class="form-control col-md-7 col-xs-12" placeholder="Blog name">
                    </div>
                </div>
                <div class="form-group">
                    <label for="tag" class="control-label col-md-3 col-sm-3 col-xs-12"></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="text" id="tag" class="form-control col-md-7 col-xs-12" name="delete_tag" placeholder="Tag">
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12" for="interval"><span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="number" id="interval" name="interval" required="required" class="form-control col-md-7 col-xs-12" placeholder="Interval (units: minute)">
                    </div>
                </div>
                <div class="ln_solid"></div>
                <div class="form-group">
                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                        <button type="submit" class="btn btn-success" id="spt_btn">Run Script</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- /page content -->

<?php 
require_once('footer.php');
?>