<?php 
require_once('header.php');
$userlist = array();
foreach ($blogs as $blog) {
    array_push($userlist, "'" . $blog . "'");
}
$users = implode(',', $userlist);

$userRole = isset($_SESSION["role"]) ? $_SESSION["role"] : "";

?>
<!-- page content -->
<div class="right_col" role="main">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Running Queues</small></h2>
                            <ul class="nav navbar-right panel_toolbox">
                                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a></li>
                                <li><a class="close-link"><i class="fa fa-close"></i></a></li>
                            </ul>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content" id="tbl_list">
                            <table id="datatable" class="table table-striped table-bordered bulk_action">
                                <thead>
                                    <tr>
                                        <th>Queue Name</th>
                                        <th>Blog Name</th>
                                        <th>ToBlog</th>
                                        <th>FromBlog</th>
                                        <th>Tag</th>
                                        <th>Interval</th>
                                        <th>Status</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                                <tbody>
                                <?php
                                    if ($userRole === "admin") {
                                        if (isset($mysqli) && $res = $mysqli->query("SELECT queuename, username, toblog, fromblog, queued_tag, queue_interval, status  FROM `queues`")) {
                                            while ($obj = $res->fetch_object()) {
                                                echo "<tr>";
                                                echo "<td>" . $obj->queuename . "</td>";
                                                echo "<td>" . $obj->username . "</td>";
                                                echo "<td>" . $obj->toblog . "</td>";
                                                echo "<td>" . $obj->fromblog . "</td>";
                                                echo "<td>" . $obj->queued_tag . "</td>";
                                                echo "<td contenteditable='true'>" . $obj->queue_interval . "</td>";
                                                echo "<td>" . $obj->status . "</td>";
                                                echo "<td><a href='viewqueue.php?queue=" . $obj->queuename . "'><span class='glyphicon glyphicon-eye-open' id='r_see_#'></span></a>
                                                      <span class='glyphicon glyphicon-check' id='r_update' style='padding-right:10px; padding-left:10px'></span>
                                                      <span class='glyphicon glyphicon-remove' id='r_delete'></span></td>";
                                                echo "</tr>";
                                            }
                                            $mysqli->close();
                                        }
                                    } else {
                                        if (isset($mysqli) && $res = $mysqli->query("SELECT queuename, username, toblog, fromblog, queued_tag, queue_interval, status  FROM `queues` WHERE username IN ($users) ")) {
                                            while ($obj = $res->fetch_object()) {
                                                echo "<tr>";
                                                echo "<td>" . $obj->queuename . "</td>";
                                                echo "<td>" . $obj->username . "</td>";
                                                echo "<td>" . $obj->toblog . "</td>";
                                                echo "<td>" . $obj->fromblog . "</td>";
                                                echo "<td>" . $obj->queued_tag . "</td>";
                                                echo "<td contenteditable='true'>" . $obj->queue_interval . "</td>";
                                                echo "<td>" . $obj->status . "</td>";
                                                echo "<td><a href='viewqueue.php?queue=" . $obj->queuename . "'><span class='glyphicon glyphicon-eye-open' id='r_see_#'></span></a>
                                                      <span class='glyphicon glyphicon-check' id='r_update' style='padding-right:10px; padding-left:10px'></span>
                                                      <span class='glyphicon glyphicon-remove' id='r_delete'></span></td>";
                                                echo "</tr>";
                                            }
                                            $mysqli->close();
                                        }
                                    }
                                    
                                ?>
                                </tbody>
                            </table>
                            <div><button class="btn btn-primary" id="remove_all">Remove All Queues</button></div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- /page content -->

<?php 
require_once('footer.php');
?>