<?php 
require_once('header.php');
?>
<!-- page content -->
<div class="right_col" role="main">
    <div class="x_panel">
        <div class="x_title">
            <h2>Single Blog Post</h2>
            <ul class="nav navbar-right panel_toolbox">
                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a></li>
                <li><a class="close-link"><i class="fa fa-close"></i></a></li>
            </ul>
            <div class="clearfix"></div>
        </div>
        <div class="x_content">
            <br>
            <form id="single_blog" class="form-horizontal form-label-left">
                <div class="form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12"><span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <p>Please select your blog to queue posts</p>
                        <select id="blog" class="form-control" name="blog">
                            <option>Choose blogs to queue ...</option>
                                <?php
                                    foreach ($blogs as $blog) {
                                        echo "<option value='" . $blog . "'>".$blog."</option>";
                                    }             
                                ?>
                        </select>
                    </div>
                </div>
                <div class="form-group">
                    <label for="input_blog" class="control-label col-md-3 col-sm-3 col-xs-12" ><span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12" id="bloglist">
                        <p>Please add blog to fetch posts from</p>
                        <input type="text" id="input_blog0" name="input_blog0" required="required" class="form-control col-md-7 col-xs-12 input_blog" placeholder="Blog name" />
                        <a href = "javascript:addBlogInput();" class="fa fa-plus-circle">&nbsp;add more</a>
                    </div>
                </div>
                <div class="form-group">
                    <label for="name-queue" class="control-label col-md-3 col-sm-3 col-xs-12" ><span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="text" id="name-queue" name="queuename" required="required" class="form-control col-md-7 col-xs-12" placeholder="Name of the Queue">
                    </div>
                </div>
                <div class="form-group">
                    <label class="control-label col-md-3 col-sm-3 col-xs-12" for="queue-interval"><span class="required">*</span></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="number" id="queue-interval" name="qinterval" required="required" class="form-control col-md-7 col-xs-12" placeholder="Queue Interval  (units: minute)">
                    </div>
                </div>
                <div class="form-group">
                    <label for="repeat" class="control-label col-md-3 col-sm-3 col-xs-12"></label>
                    <div class="col-md-6 col-sm-6 col-xs-12">
                        <input type="number" id="repeat" id="repeat" class="form-control col-md-7 col-xs-12" name="repeat" placeholder="Duplicate number">
                    </div>
                </div>
                <div class="ln_solid"></div>
                <div class="form-group">
                    <div class="col-md-6 col-sm-6 col-xs-12 col-md-offset-3">
                        <button type="submit" class="btn btn-success" id="single_post">Submit</button>
                    </div>
                </div>
            </form>
        </div>
    </div>
</div>
<!-- /page content -->

<?php 
require_once('footer.php');
?>