<?php
require_once('header.php');
if (isset($_SESSION['username']) && isset($_GET['param']) && $_GET['param'] !== "") {
    $key = $_GET['param'];
    $db_name = $_SESSION["username"] . "_posts";
?>
<!-- page content -->
<div class="right_col" role="main">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="">
            <div class="clearfix"></div>
            <div class="row">
                <div class="col-md-12 col-sm-12 col-xs-12">
                    <div class="x_panel">
                        <div class="x_title">
                            <h2>Posts</small></h2>
                            <ul class="nav navbar-right panel_toolbox">
                                <li><a class="btn btn-default" href="../inc/setting.php?f=updateProfile">Update Posts</a></li>
                                <li><a class="btn btn-default" id="set_private_public" data="<?php echo $_SESSION["username"]; ?>" state="<?php echo $postState; ?>">Set as 
                                    <?php 
                                    if ($postState === "published")
                                        $state = "Private";
                                    else
                                        $state = "Public";
                                    
                                    echo $state;
                                    ?>
                                </a></li>
                                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a></li>
                                <li><a class="close-link"><i class="fa fa-close"></i></a></li>
                            </ul>
                            <div class="clearfix"></div>
                        </div>
                        <div class="x_content" id="tbl_list">
                            <?php
                                $return = '<table id="datatable" class="table table-striped table-bordered bulk_action">
                                    <thead>
                                        <tr>
                                            <th>ID</th>
                                            <th>Blog Name</th>
                                            <th>Body</th>
                                            <th>Type</th>
                                            <th>Notecount</th>
                                            <th>Post ID</th>
                                            <th>Action</th>
                                        </tr>
                                    </thead>
                                    <tbody>';
                                if ($result = $mysqli->query("SELECT * FROM $db_name WHERE blogname = '$key' ")) {
                                    while($obj = $result->fetch_object()) {
                                        switch ($obj->type) {
                                            case 'text':
                                                $return .= '<tr><td>' . $obj->id . '</td><td>' . $obj->blogname . '</td><td>' . $obj->body . '</td><td>' . $obj->type . '</td><td>' . $obj->notecount . 
                                                    '</td><td>' . $obj->postid . '</td><td><span class="glyphicon glyphicon-remove" id="delete_post"></span></td></tr>';
                                                break;

                                            case 'audio':
                                                $return .= '<tr><td>' . $obj->id . '</td><td>' . $obj->blogname . '</td><td>' . $obj->external_url . '</td><td>' . $obj->type . '</td><td>' . $obj->notecount .
                                                    '</td><td>' . $obj->postid . '</td><td><span class="glyphicon glyphicon-remove" id="p_delete"></span></td></tr>'; 
                                                    break;

                                            case 'video':
                                                $return .= '<tr><td>' . $obj->id . '</td><td>' . $obj->blogname . '</td><td>' . $obj->embed . '</td><td>' . $obj->type . '</td><td>' . $obj->notecount .
                                                    '</td><td>' . $obj->postid . '</td><td><span class="glyphicon glyphicon-remove" id="delete_post"></span></td></tr>'; 
                                                break;

                                            case 'quote':
                                                $return .= '<tr><td>' . $obj->id . '</td><td>' . $obj->blogname . '</td><td>' . $obj->quote . '</td><td>' . $obj->type . '</td><td>' . $obj->notecount .
                                                    '</td><td>' . $obj->postid . '</td><td><span class="glyphicon glyphicon-remove" id="delete_post"></span></td></tr>'; 
                                                break;

                                            case 'link':
                                                $return .= '<tr><td>' . $obj->id . '</td><td>' . $obj->blogname . '</td><td>' . $obj->title . '</td><td>' . $obj->type . '</td><td>' . $obj->notecount .
                                                    '</td><td>' . $obj->postid . '</td><td><span class="glyphicon glyphicon-remove" id="delete_post"></span></td></tr>'; 
                                                break;

                                            case 'chat':
                                                $return .= '<tr><td>' . $obj->id . '</td><td>' . $obj->blogname . '</td><td>' . $obj->conversation . '</td><td>' . $obj->type . '</td><td>' . $obj->notecount .
                                                    '</td><td>' . $obj->postid . '</td><td><span class="glyphicon glyphicon-remove" id="delete_post"></span></td></tr>'; 
                                                break;

                                            case 'photo':
                                                $return .= '<tr><td>' . $obj->id . '</td><td>' . $obj->blogname . '</td><td><img width="100%" src="'.$obj->source.'"></td><td>' . $obj->type . '</td><td>' . $obj->notecount .
                                                    '</td><td>' . $obj->postid . '</td><td><span class="glyphicon glyphicon-remove" id="delete_post"></span></td></tr>';
                                                break;

                                            default:
                                                break;
                                        }
                                    }
                                }

                                $return .= '</tbody></table>';
                                echo $return;
                                unset($obj);
                            ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<!-- /page content -->
<?php
require_once('footer.php');
}
?>

